Detach interface
curl --request POST \
--url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/detach_interface \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_address": "192.168.123.20",
"port_id": "351b0dd7-ca09-431c-be53-935db3785067"
}
'import requests
url = "https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/detach_interface"
payload = {
"ip_address": "192.168.123.20",
"port_id": "351b0dd7-ca09-431c-be53-935db3785067"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_address: '192.168.123.20', port_id: '351b0dd7-ca09-431c-be53-935db3785067'})
};
fetch('https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/detach_interface', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Instances
Detach interface
Detach interface from instance
POST
/
cloud
/
v1
/
instances
/
{project_id}
/
{region_id}
/
{instance_id}
/
detach_interface
Detach interface
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Instance ID
Body
application/json
Response
200 - application/json
Created task
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I